/*
 * Copyright (C) 2003 Jeppe Nejsum Madsen, nejsum@diku.dk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SIMULATORUI_H
#define SIMULATORUI_H

class RuntimeNetwork;

class SimulatorUI
  {
  RuntimeNetwork &instance;
  int findDomainVal(Variable &var, const std::string &value);
  int findVar(const std::string &var);
  public:
    SimulatorUI(RuntimeNetwork &csp);

    void printDomains();
    void clearConstraint(const std::string &var);
    void addConstraint(const std::string &var, const std::string &value);
    void start();
  };
#endif

